package com.nosum.deliver.author.controller;

import com.alibaba.fastjson.JSONObject;
import com.nosum.common.annotation.Explain;
import com.nosum.common.base.domain.PageInfo;
import com.nosum.common.base.domain.Result;
import com.nosum.deliver.author.domain.po.Author;
import com.nosum.deliver.author.domain.po.AuthorVideo;
import com.nosum.deliver.author.service.AuthorService;
import com.nosum.deliver.author.service.AuthorVideoService;
import org.bson.types.ObjectId;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.UUID;

/**
 * 作者信息接口层.
 *
 * @author 杜咏微
 */
@RestController
@RequestMapping("/admin/author-video")
public class AuthorVideoAdminController {

    @Autowired
    private AuthorVideoService authorVideoService;

    @PostMapping("/save")
    public Result<Void> save(@RequestBody AuthorVideo authorVideo) {
        authorVideoService.save(authorVideo);
        return Result.createWithSuccessMessage();
    }


    @PostMapping("/saveT")
    public Result<Void> saveT() {
        String json = "{\n" +
                "  \"id\":\"62498bb42ac0e52e6b24fa97\",\n" +
                "  \"desc\": \"冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间冬奥温暖瞬间\",\n" +
                "  \"sendTime\": 1648986783006,\n" +
                "  \"exposureCount\": 100,\n" +
                "  \"likeCount\": 100,\n" +
                "  \"playCount\": 100,\n" +
                "  \"followCount\": 100,\n" +
                "  \"collectCount\": 100,\n" +
                "  \"commentCount\": 100,\n" +
                "  \"putCountLevel\": 1,\n" +
                "  \"putTags\": \"投放标签\",\n" +
                "  \"putAge\": \"10-10\",\n" +
                "  \"putCity\": \"北京市\",\n" +
                "  \"putGender\": 0,\n" +
                "  \"putUser\": \"v-duzi\",\n" +
                "  \"feedId\": \"231232132131321\",\n" +
                "  \"finderUin\": \"1311234567891011\",\n" +
                "  \"putLevel\": \"1\",\n" +
                "  \"status\": 0,\n" +
                "  \"putDuration\": 1111,\n" +
                "  \"putTime\": 1648986783006,\n" +
                "  \"link\": \"https://cos.nosum.cn/deliver/1646557198523604.mp4\"\n" +
                "}";
        authorVideoService.save( JSONObject.toJavaObject(JSONObject.parseObject(json),AuthorVideo.class));
        return Result.createWithSuccessMessage();
    }

    @GetMapping("/{id}")
    public Result<AuthorVideo> get(@PathVariable("id") ObjectId id) {
        return Result.createWithModel(authorVideoService.getById(id));
    }

    @Explain("分页查询投放记录,包含搜索")
    @GetMapping("/page")
    public Result<AuthorVideo> page(AuthorVideo authorVideo) {
        PageInfo<AuthorVideo> pageInfo = authorVideoService.getPage(PageInfo.withRequest(), authorVideo);
        return Result.createWithPaging(pageInfo.getRecord(), pageInfo);
    }

    @DeleteMapping("/{id}")
    public Result<Void> remove(@PathVariable("id") ObjectId id) {
        authorVideoService.remove(id);
        return Result.createWithSuccessMessage();
    }



}
